package com.red.circle.other.app.inner.service.sys;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysMessageCopywritingTypeQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysMessageCopywritingTextTypeDTO;

/**
 * @author zongpubin on 2023/11/10
 */
public interface SysMessageCopywritingTypeClientService {

  PageResult<SysMessageCopywritingTextTypeDTO> pageCopywritingTextType(
      SysMessageCopywritingTypeQryCmd query);

  void addTypeAndContent(SysMessageCopywritingTextTypeDTO param);

  void deleteTypeAndContent(Long id);
}
